<?php
	include_once('../system/lib/config.php');

	function getTwentyTwe($catalog){
		$rn = array(
				'login' 					=>  'E_ERROR_2FA_24LOGIN_LOCK',
		 		'password' 					=>  'E_ERROR_2FA_24PASSWORD_LOCK',
		 		'mail'     					=>  'E_ERROR_2FA_24MAIL_LOCK',
		 		'withdrawal_international'	=>	'E_ERROR_2FA_24WITHDRAWAL_LOCK',
		 		'withdrawal_sdpay'	       	=>	'E_ERROR_2FA_24WITHDRAWAL_SDPAY_LOCK',
		 		'withdrawal_flat3'	       	=>	'E_ERROR_2FA_24WITHDRAWAL_FLAT3_LOCK',
		 		'withdrawal_h2p'	       	=>	'E_ERROR_2FA_24WITHDRAWAL_H2P_LOCK',
		 		'transfer'					=>	'E_ERROR_2FA_24TRANSFER_LOCK',
		 		'exchange'					=>	'E_ERROR_2FA_24EXCHANGE_LOCK',
		 		'received'					=>	'E_ERROR_2FA_24RECEIVE_LOCK'
		);
	return $rn[$catalog];
	}
	//清空文言
	function clearsession(){
		if(isset($_SESSION) && isset($_SESSION[MSG_ARRAY])) {
			unset($_SESSION[MSG_ARRAY]);
		}
	}


	function getlogic($rtn){
		$param = array(
			'login'						=>		'login',
		 	'password' 					=>  	'setting',
		 	'mail'     					=>  	'setting',
		 	'withdrawal_international'	=>		'withdraw',
		 	'withdrawal_sdpay'	       	=>		'withdraw',
		 	'withdrawal_flat3'	       	=>		'withdraw',
		 	'withdrawal_h2p'	       	=>		'withdraw',
		 	'transfer'					=>		'transfer',
		 	'exchange'					=>		'exchange',
		 	'received'					=>		'request'
		);
		return $param[$rtn];
	}

	function getNotNull($lang){

		$param = array(
			'en'			=>		array('Verification Code'),
			'ja' 			=>  	array('コードを入力'),
			'sc'     		=>  	array('验证码'),
			'tc'			=>		array('驗證碼'),
			'id'	       	=>		array('Kode Verifikasi')
		);
		return $param[$lang];
	}
?>
